__gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >(3cxx)

NAME
__gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence > - Base class for Debug Mode vector.

SYNOPSIS

#include <vector>

Inherited by std::__debug::vector< _Tp, _Allocator >.

  Protected Member Functions

_Safe_vector (_Safe_vector &&__x) noexcept
_Safe_vector (const _Safe_vector &) noexcept
_Safe_vector (size_type __n) noexcept
bool _M_requires_reallocation (size_type __elements) const noexcept
void _M_update_guaranteed_capacity () noexcept
_Safe_vector & operator= (_Safe_vector &&__x) noexcept
_Safe_vector & operator= (const _Safe_vector &) noexcept

  Protected Attributes

size_type _M_guaranteed_capacity

Detailed Description

  template<typename _SafeSequence, typename _BaseSequence>
class __gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >"Base class for Debug Mode vector.

Adds information about the guaranteed capacity, which is useful for detecting code which relies on non-portable implementation details of the libstdc++ reallocation policy.

Definition at line 55 of file debug/vector.

Constructor & Destructor Documentation

  template<typename _SafeSequence , typename _BaseSequence > __gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >::_Safe_vector () [inline], [protected], [noexcept]

Definition at line 63 of file debug/vector.

  template<typename _SafeSequence , typename _BaseSequence > __gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >::_Safe_vector (const _Safe_vector< _SafeSequence, _BaseSequence > &) [inline], [protected], [noexcept]

Definition at line 67 of file debug/vector.

  template<typename _SafeSequence , typename _BaseSequence > __gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >::_Safe_vector (size_type __n) [inline], [protected], [noexcept]

Definition at line 71 of file debug/vector.

  template<typename _SafeSequence , typename _BaseSequence > __gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >::_Safe_vector (_Safe_vector< _SafeSequence, _BaseSequence > && __x) [inline], [protected], [noexcept]

Definition at line 76 of file debug/vector.

Member Function Documentation

  template<typename _SafeSequence , typename _BaseSequence > bool __gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >::_M_requires_reallocation (size_type __elements) const [inline], [protected], [noexcept]

Definition at line 99 of file debug/vector.

  template<typename _SafeSequence , typename _BaseSequence > void __gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >::_M_update_guaranteed_capacity () [inline], [protected], [noexcept]

Definition at line 103 of file debug/vector.

  template<typename _SafeSequence , typename _BaseSequence > _Safe_vector & __gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >::operator= (_Safe_vector< _SafeSequence, _BaseSequence > && __x) [inline], [protected], [noexcept]

Definition at line 88 of file debug/vector.

  template<typename _SafeSequence , typename _BaseSequence > _Safe_vector & __gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >::operator= (const _Safe_vector< _SafeSequence, _BaseSequence > &) [inline], [protected], [noexcept]

Definition at line 81 of file debug/vector.

Member Data Documentation

  template<typename _SafeSequence , typename _BaseSequence > size_type __gnu_debug::_Safe_vector< _SafeSequence, _BaseSequence >::_M_guaranteed_capacity [protected]

Definition at line 96 of file debug/vector.

Author

Generated automatically by Doxygen for libstdc++ from the source code.